Models
Enumera los cambios sobre lo que sirve un alias de modelo
Una entrada cada vez que cambió el modelo servido, la más reciente primero, con el motivo, el usuario actuante y la clasificación leída en ese momento.
GET
/
api
/
v1
/
llm
/
models
/
aliases
/
history
Go (SDK)
package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.Models.ListAliasHistory(ctx, "best-math-model", mka1.Pointer[int64](20), nil)
if err != nil {
log.Fatal(err)
}
if res.ListModelAliasHistoryResponse != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.ListAliasHistoryAsync(
name: "best-math-model",
limit: 20
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.list_alias_history(name="best-math-model", limit=20)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.listAliasHistory({
name: "best-math-model",
});
console.log(result);
}
run();curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/models/aliases/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/models/aliases/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/models/aliases/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/models/aliases/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/models/aliases/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "model.alias.change",
"id": "malias_chg_3d2c1b0a-6f5e-4d4c-8b3a-291807f6e5d4",
"alias_name": "best-math-model",
"from_model_id": "meetkai:functionary-pt",
"to_model_id": "meetkai:functionary-es",
"reason": "manual",
"run_id": "eval_run_5e1f7c3a-92b4-4d68-8f0a-b3c9d2e6a1f4",
"suite_version": 3,
"standings": [
{
"model_id": "meetkai:functionary-pt",
"score": 0.81,
"run_id": "eval_run_5e1f7c3a-92b4-4d68-8f0a-b3c9d2e6a1f4",
"completed_at": "2026-11-09T02:14:00.000Z",
"sample_count": 500,
"failed_count": 0,
"eligible": true,
"ineligible_reason": null
},
{
"model_id": "meetkai:functionary-es",
"score": 0.86,
"run_id": "eval_run_5e1f7c3a-92b4-4d68-8f0a-b3c9d2e6a1f4",
"completed_at": "2026-11-09T02:14:00.000Z",
"sample_count": 500,
"failed_count": 0,
"eligible": true,
"ineligible_reason": null
}
],
"actor": "user-org-admin-1",
"created_at": "2026-11-09T02:14:05.000Z"
}
],
"has_more": false,
"last_id": "malias_chg_3d2c1b0a-6f5e-4d4c-8b3a-291807f6e5d4"
}Autorizaciones
Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.
Parámetros de consulta
Required string length:
1 - 255Número máximo de cambios a devolver
Rango requerido:
1 <= x <= 100Un ID de cambio de una página anterior; devuelve los cambios anteriores a él
Required string length:
1 - 64¿Esta página le ayudó?
⌘I
Go (SDK)
package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.Models.ListAliasHistory(ctx, "best-math-model", mka1.Pointer[int64](20), nil)
if err != nil {
log.Fatal(err)
}
if res.ListModelAliasHistoryResponse != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.ListAliasHistoryAsync(
name: "best-math-model",
limit: 20
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.list_alias_history(name="best-math-model", limit=20)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.listAliasHistory({
name: "best-math-model",
});
console.log(result);
}
run();curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/models/aliases/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/models/aliases/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/models/aliases/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/models/aliases/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/models/aliases/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "model.alias.change",
"id": "malias_chg_3d2c1b0a-6f5e-4d4c-8b3a-291807f6e5d4",
"alias_name": "best-math-model",
"from_model_id": "meetkai:functionary-pt",
"to_model_id": "meetkai:functionary-es",
"reason": "manual",
"run_id": "eval_run_5e1f7c3a-92b4-4d68-8f0a-b3c9d2e6a1f4",
"suite_version": 3,
"standings": [
{
"model_id": "meetkai:functionary-pt",
"score": 0.81,
"run_id": "eval_run_5e1f7c3a-92b4-4d68-8f0a-b3c9d2e6a1f4",
"completed_at": "2026-11-09T02:14:00.000Z",
"sample_count": 500,
"failed_count": 0,
"eligible": true,
"ineligible_reason": null
},
{
"model_id": "meetkai:functionary-es",
"score": 0.86,
"run_id": "eval_run_5e1f7c3a-92b4-4d68-8f0a-b3c9d2e6a1f4",
"completed_at": "2026-11-09T02:14:00.000Z",
"sample_count": 500,
"failed_count": 0,
"eligible": true,
"ineligible_reason": null
}
],
"actor": "user-org-admin-1",
"created_at": "2026-11-09T02:14:05.000Z"
}
],
"has_more": false,
"last_id": "malias_chg_3d2c1b0a-6f5e-4d4c-8b3a-291807f6e5d4"
}